Package org.apache.cayenne.dba.hsqldb

# Class HSQLDBNoSchemaAdapter

java.lang.Object
org.apache.cayenne.dba.JdbcAdapter
org.apache.cayenne.dba.hsqldb.HSQLDBAdapter
org.apache.cayenne.dba.hsqldb.HSQLDBNoSchemaAdapter

All Implemented Interfaces:
  `DbAdapter`

public class HSQLDBNoSchemaAdapter extends HSQLDBAdapter
A flavor of HSQLDBAdapter that implements workarounds for some old driver limitations.

Since:
  1.2

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.dba.hsqldb.HSQLDBAdapter

  `TRIM_FUNCTION`

  ### Fields inherited from class org.apache.cayenne.dba.JdbcAdapter

  `batchQueryBuilderFactory, caseInsensitiveCollations, ejbqlTranslatorFactory, extendedTypes, logger, quotingStrategy, resourceLocator, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, typesHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HSQLDBNoSchemaAdapter(RuntimeProperties runtimeProperties, List<ExtendedType> defaultExtendedTypes, List<ExtendedType> userExtendedTypes, List<ExtendedTypeFactory> extendedTypeFactories, ResourceLocator resourceLocator, ValueObjectTypeRegistry valueObjectTypeRegistry)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `createTable(DbEntity ent)`
  Uses unqualified entity names.
  `Collection<String>`
  `dropTableStatements(DbEntity table)`
  Returns a collection of SQL statements needed to drop a database table.
  `protected String`
  `getSchemaName(DbEntity entity)`
  Returns NULL.
  `protected String`
  `getTableName(DbEntity entity)`
  Generate unqualified name without schema.

  ### Methods inherited from class org.apache.cayenne.dba.hsqldb.HSQLDBAdapter

  `configureExtendedTypes, createEJBQLTranslatorFactory, createFkConstraint, createTableAppendColumn, createUniqueConstraint, getAction, getSqlTreeProcessor`

  ### Methods inherited from class org.apache.cayenne.dba.JdbcAdapter

  `bindParameter, buildAttribute, createPkGenerator, createQuotingStrategy, createTableAppendPKClause, externalTypesForJdbcType, findResource, getBatchTerminator, getEjbqlTranslatorFactory, getExtendedTypes, getJdbcEventLogger, getPkGenerator, getQuotingStrategy, getSelectTranslator, getSelectTranslator, getSystemCatalogs, getSystemSchemas, getType, initExtendedTypes, setEjbqlTranslatorFactory, setPkGenerator, setSupportsBatchUpdates, setSupportsGeneratedKeys, setSupportsUniqueConstraints, sizeAndPrecision, supportsBatchUpdates, supportsCatalogsOnReverseEngineering, supportsGeneratedKeys, supportsUniqueConstraints, tableTypeForTable, tableTypeForView, typeSupportsLength, unwrap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cayenne.dba.DbAdapter

  `supportsGeneratedKeysForBatchInserts`

- ## Constructor Details

  - ### HSQLDBNoSchemaAdapter

    public HSQLDBNoSchemaAdapter(RuntimeProperties runtimeProperties, List<ExtendedType> defaultExtendedTypes, List<ExtendedType> userExtendedTypes, List<ExtendedTypeFactory> extendedTypeFactories, ResourceLocator resourceLocator, ValueObjectTypeRegistry valueObjectTypeRegistry)

- ## Method Details

  - ### getTableName

    protected String getTableName(DbEntity entity)
    Generate unqualified name without schema.
    Overrides:
      `getTableName` in class `HSQLDBAdapter`
    Since:
      1.2

  - ### getSchemaName

    protected String getSchemaName(DbEntity entity)
    Returns NULL.
    Overrides:
      `getSchemaName` in class `HSQLDBAdapter`
    Since:
      1.2

  - ### dropTableStatements

    public Collection<String> dropTableStatements(DbEntity table)
    Description copied from interface: `DbAdapter`
    Returns a collection of SQL statements needed to drop a database table.
    Specified by:
      `dropTableStatements` in interface `DbAdapter`
    Overrides:
      `dropTableStatements` in class `JdbcAdapter`

  - ### createTable

    public String createTable(DbEntity ent)
    Uses unqualified entity names.
    Specified by:
      `createTable` in interface `DbAdapter`
    Overrides:
      `createTable` in class `HSQLDBAdapter`
    Since:
      1.2